Splash səhifələri
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış stringi. |
| search_by | İstəyə bağlı Sətir | Axtardığınız sahə hansıdır. İcazə verilən dəyərlər: name. |
| datetime_field | İstəyə bağlı Sətir | İcazə verilən dəyərlər: datetime, last_datetime |
| datetime_start | İstəyə bağlı Sətir | Nəticələri bu tarix və saatdan başlayaraq filtrləyin. Y-m-d H:i:s formatı. |
| datetime_end | İstəyə bağlı Sətir | Nəticələri bu tarix və saata qədər filtrləyin. Y-m-d H:i:s formatı. |
| order_by | İstəyə bağlı Sətir | Nəticələri hansı sahəyə görə sıralamaq olar. İcazə verilən dəyərlər: splash_page_id, datetime, last_datetime, name. |
| order_type | İstəyə bağlı Sətir | Nəticələrin sıralanması. İcazə verilən dəyərlər: ASC artan sıralama üçün, DESC isə azalan sıralama üçün. |
| page | İstəyə bağlı Tam ədəd | Nəticələri istədiyiniz səhifə nömrəsi. Varsayılan 1-dir. |
| results_per_page | İstəyə bağlı Tam ədəd | Səhifədə neçə nəticə istədiyinizi seçin. İcazə verilən dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Varsayılan olaraq 25 dir. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:44:04",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 12:44:04",
}
}
POST https://tistos.com/api/projects
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | Tələb olunur Sətir | - |
| title | İstəyə bağlı Sətir | - |
| logo | İstəyə bağlı Fayl | - |
| favicon | İstəyə bağlı Fayl | - |
| opengraph | İstəyə bağlı Fayl | - |
| description | İstəyə bağlı Sətir | - |
| secondary_button_name | İstəyə bağlı Sətir | - |
| secondary_button_url | İstəyə bağlı Sətir | - |
| custom_css | İstəyə bağlı Sətir | - |
| custom_js | İstəyə bağlı Sətir | - |
| ads_header | İstəyə bağlı Sətir | - |
| ads_footer | İstəyə bağlı Sətir | - |
| link_unlock_seconds | İstəyə bağlı Tam ədəd | - |
| auto_redirect | İstəyə bağlı Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | İstəyə bağlı Sətir | - |
| title | İstəyə bağlı Sətir | - |
| logo | İstəyə bağlı Fayl | - |
| favicon | İstəyə bağlı Fayl | - |
| opengraph | İstəyə bağlı Fayl | - |
| description | İstəyə bağlı Sətir | - |
| secondary_button_name | İstəyə bağlı Sətir | - |
| secondary_button_url | İstəyə bağlı Sətir | - |
| custom_css | İstəyə bağlı Sətir | - |
| custom_js | İstəyə bağlı Sətir | - |
| ads_header | İstəyə bağlı Sətir | - |
| ads_footer | İstəyə bağlı Sətir | - |
| link_unlock_seconds | İstəyə bağlı Tam ədəd | - |
| auto_redirect | İstəyə bağlı Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \